petsc-3.7.7 2017-09-25
Report Typos and Errors

# DMPlexLabelAddCells

Starting with a label marking faces on a surface, we add a cell for each face

### Synopsis

    #include "petscdmplex.h"
    #include "petscdmlabel.h"
    PetscErrorCode DMPlexLabelAddCells(DM dm, DMLabel label)

### Input Parameters

| dm | - The DM
| label | - A DMLabel marking the surface points

### Output Parameter

label -A DMLabel incorporating cells

Note: The cells allow FEM boundary conditions to be applied using the cell geometry

### See Also

DMPlexLabelComplete(), DMPlexLabelCohesiveComplete()

Level:developer
Location:src/dm/impls/plex/plexsubmesh.c
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages